<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>
<body>
    <div id="app">
        <samp style="font-size: 100px;">{{boxes}}</samp>
        <br>
        
        <template v-if="lastId%3==1">
            <div :style="{
                        position: 'relative',
                        width: '150px',
                        borderStyle: 'solid',
                        borderWidth: '1px',
                        backgroundColor:'green'
                    }">
                    ..
                </div><br>
                <div :style="{
                    position: 'relative',
                    width: '150px',
                    borderStyle: 'solid',
                    borderWidth: '1px',
                    backgroundColor:'gray'
                }">
                ..
            </div><br>
            <div :style="{
                position: 'relative',
                width: '150px',
                borderStyle: 'solid',
                borderWidth: '1px',
                backgroundColor:'gray'
            }">
            ..
        </div><br>
        <button @click="Change" style="font-size: xxx-large;">เปลี่ยนไฟ</button>
        </template>
        <template v-if="lastId%3==2">
            <div :style="{
                        position: 'relative',
                        width: '150px',
                        borderStyle: 'solid',
                        borderWidth: '1px',
                        backgroundColor:'gray'
                    }">
                    ..
                </div><br>
                <div :style="{
                    position: 'relative',
                    width: '150px',
                    borderStyle: 'solid',
                    borderWidth: '1px',
                    backgroundColor:'yellow'
                }">
                ..
            </div><br>
            <div :style="{
                position: 'relative',
                width: '150px',
                borderStyle: 'solid',
                borderWidth: '1px',
                backgroundColor:'gray'
            }">
            ..
        </div><br>
        <button @click="Change" style="font-size: xxx-large;">เปลี่ยนไฟ</button>
        </template>
        
        <template v-if="lastId%3==0">
            <div :style="{
                        position: 'relative',
                        width: '150px',
                        borderStyle: 'solid',
                        borderWidth: '1px',
                        backgroundColor:'gray'
                    }">
                    ..
                </div><br>
                <div :style="{
                    position: 'relative',
                    width: '150px',
                    borderStyle: 'solid',
                    borderWidth: '1px',
                    backgroundColor:'gray'
                }">
                ..
            </div><br>
            <div :style="{
                position: 'relative',
                width: '150px',
                borderStyle: 'solid',
                borderWidth: '1px',
                backgroundColor:'red'
            }">
            ..
        </div><br>
        <button @click="Change" style="font-size: xxx-large;">เปลี่ยนไฟ</button>
        </template>

    </div>
   
    <script>
        var app = new Vue({
            el:'#app',
            data:{
                lastId: 1,
              color:[
                  'green',
                  'yellow',
                  'red'
              ],
              boxes: 'green',
              
            },
            methods: {
                Change: function(color) {
                    this.boxes = this.color[this.lastId%3]
                    this.lastId++;

                },
            },
            
        })
    </script>
</body>
</html>